recompile with -fPIC [Solved]

Anything that pertains to Portage

Moderator: Moderators

voxiac
Advanced Hen
Posts: 218
Joined: Sat Feb 10, 2007 17:05
Location: Denmark

Post by voxiac » Sun Aug 05, 2007 12:45

Hm... a very similiar qt-4.3.0 problem to yours:
http://forums.gentoo.org/viewtopic-t-57 ... d339424a83
(It's in Polish, but who cares?)
As I understand they suggest trying with =sys-devel/binutils-2.17.50.0.17.

Red Knuckles
Growing Hen
Posts: 104
Joined: Wed Jan 10, 2007 3:16
Location: Colorado, USA

Post by Red Knuckles » Sun Aug 05, 2007 14:28

voxiac wrote:Hm... a very similiar qt-4.3.0 problem to yours:
http://forums.gentoo.org/viewtopic-t-57 ... d339424a83
(It's in Polish, but who cares?)
As I understand they suggest trying with =sys-devel/binutils-2.17.50.0.17.
I checked out the link and decided to emerge the mentioned package. It was masked by keyword so I unmasked it. Then ran 'emerge =x11-libs/qt-4.3.0-r2' again. It failed with the same error. Later today I'm going to search Gentoo and Google Linux on this issue.

voxiac Thanks for the help. Someday this too will be resolved...
SL 3.4a AMD64, Gentoo2007.0 AMD64 - ASUS M2NPV-VM - AMD64 X2 4800+ 2.5 Ghz - 4X1GB DDR2 800 - GeForce 6150 256MB - 2X320GB

aleroot
Young Hen
Posts: 32
Joined: Thu Feb 08, 2007 21:02

Post by aleroot » Thu Aug 09, 2007 8:39

You can resolve in this way(unmask binutils-2.17.50.0.17) :

echo 'sys-devel/binutils *' >> /etc/portage/package.keywords
emerge binutils

Post Reply